## org.eclipse.m2m.qvt.oml.debug.core.vm
Interface IQVTOVirtualMachineShell

All Known Implementing Classes:
  QVTOVirtualMachine, QVTOVirtualMachineProxy

    public interface IQVTOVirtualMachineShell

Method Summary
`boolean` `isTerminated()`
`VMEvent` `readVMEvent()`
`VMResponse` `sendRequest(VMRequest request)`

Method Detail

### sendRequest

    VMResponse sendRequest(VMRequest request)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### readVMEvent

    VMEvent readVMEvent()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### isTerminated

    boolean isTerminated()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.